# Java Perspectives

The Java development tools contribute the following perspectives to the workbench:

## Java

A perspective designed for working with Java projects. It consists of an editor area and the following views:

- Package Explorer
- Outline
- Problems
- Javadoc
- Declaration

## Java Browsing

A perspective designed for browsing the structure of Java projects. It consists of an editor area and the following views:

- Projects
- Packages
- Types
- Members

## Java Type Hierarchy

A perspective designed for exploring a type hierarchy. It can be opened on types, compilation units, packages, projects or source folders and consists of the Type Hierarchy view and an editor.

## Debug

A perspective designed for debugging your Java program. It includes an editor area and the following views.

- Debug
- Breakpoints
- Variables
- Expressions
- Outline
- Console
- Tasks

Java views

Breakpoints view
Console view
Debug view
Display view
Expressions view
Java outline
Package Explorer view
Type Hierarchy view
Variables view